import 'package:freezed_annotation/freezed_annotation.dart';
part 'application_config.freezed.dart';
part 'application_config.g.dart';

@freezed
class ApplicationConfig with _$ApplicationConfig {
  factory ApplicationConfig({
      bool? isTechnical,
       List<double>? begin,
      List<double>? end,
      String? primaryColor,
      String? primarySecondColor,
      bool? multi_color,
      String? btn_color,
      String? logo}) = _ApplicationConfig;

  factory ApplicationConfig.fromJson(Map<String, dynamic> json) =>
      _$ApplicationConfigFromJson(json);
}
