
import 'package:flutter/material.dart';

import '../../common/values/colors.dart';
import '../../common/values/sizes.dart';

class SpaceH2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_2,
    );
  }
}

class SpaceH4 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_4,
    );
  }
}

class SpaceH6 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_6,
    );
  }
}

class SpaceH8 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_8,
    );
  }
}

class SpaceH10 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_10,
    );
  }
}

class SpaceH12 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_12,
    );
  }
}

class SpaceH16 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_16,
    );
  }
}

class SpaceH20 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_20,
    );
  }
}

class SpaceH24 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_24,
    );
  }
}

class SpaceH30 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_30,
    );
  }
}

class SpaceH36 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_36,
    );
  }
}

class SpaceH40 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_40,
    );
  }
}

class SpaceH180 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_180,
    );
  }
}

class SpaceH120 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_120,
    );
  }
}

class SpaceH160 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_160,
    );
  }
}

class SpaceH200 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_200,
    );
  }
}

class SpaceH44 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_44,
    );
  }
}

class SpaceH48 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_48,
    );
  }
}

class SpaceH96 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_96,
    );
  }
}

class SpaceW2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_2,
    );
  }
}

class SpaceW4 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_4,
    );
  }
}

class SpaceW8 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_8,
    );
  }
}

class SpaceW12 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_12,
    );
  }
}

class SpaceW16 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_16,
    );
  }
}

class SpaceW20 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_20,
    );
  }
}

class SpaceW24 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_24,
    );
  }
}

class SpaceW30 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_30,
    );
  }
}

class SpaceW36 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_36,
    );
  }
}

class SpaceW40 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_40,
    );
  }
}

class SpaceW48 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_48,
    );
  }
}

class SpaceW60 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: Sizes.WIDTH_60,
    );
  }
}

class SpaceH60 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.WIDTH_60,
    );
  }
}

class SpaceH80 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.WIDTH_80,
    );
  }
}

class SpaceH76 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_76,
    );
  }
}

class SpaceH72 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: Sizes.HEIGHT_72,
    );
  }
}

class SpaceLine extends StatelessWidget {
  final double? height;

  const SpaceLine({Key? key, this.height = 1}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      width: Sizes.width(context),
      color: SharingColors.greyShade1,
    );
  }
}

class SpaceLine8 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: Sizes.HEIGHT_8,
      width: Sizes.width(context),
      color: SharingColors.greyShade1,
    );
  }
}

class SpaceShadow extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: Sizes.HEIGHT_1,
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: showBoxShadow,
      ),
    );
  }

  List<BoxShadow>? get showBoxShadow {
    return [
      BoxShadow(
        color: Colors.grey.withOpacity(0.8),
        spreadRadius: 4,
        blurRadius: 8,
        offset: Offset(0, 3),
      ),
    ];
  }
}

class SpaceShadowBottom extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      // height: 1,
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: showBoxShadow,
      ),
    );
  }

  List<BoxShadow>? get showBoxShadow {
    return [
      BoxShadow(
        color: Colors.grey.withOpacity(0.4),
        spreadRadius: 1,
        blurRadius: 1,
        offset: Offset(3, 0),
      ),
    ];
  }
}
