import 'package:flutter/material.dart';

class SharingColors {
  static const String colorBegin = "#FFFF2434";
  static const String colorEnd = "#FFAD2434";
  static const Color primaryColor = Color(0xFFFF2434);
  static const Color primary2Color = Color(0xFFAD2434);
  static const Color secondaryColor = Color(0xff037FFF);
  static const Color accentColor = Colors.orange;
  static const Color secondary2Color = Color(0xFFE5E5E5);

  static const Color backgroundGrayColor = const Color(0xFFE5E5E5);
  static const Color backgroundWhiteColor = const Color(0xFFFFFFFF);

  static const Color primaryText = Color(0xFF000000);
  static Color transparent = Color(0x00000000);

  static Color backgroundEditTextColor = Color(0xffF2F2F2);
  static Color backgroundRecentColor = Color(0xFFE5E5E5);
  static Color editTextColor = Color(0xff8B8484);
  static Color boderFocusEditTextColor = Color(0xFFFF2434);
  static Color buttonTextColor = Color(0xFFFFFFFF);
  static Color lineColor = Color(0xFFF0F0F0);
  static const Color promotionColor = Color(0xFF9650CD03);

  static const Color textColor = Color(0xFF000000);
  static const Color textColor2 = Color(0xFF393939);
  static const Color textColor1 = Color(0xFF6F6D6D);
  static Color textMoreColor = Color(0xFFC52434);
  static const Color ErrorColor = Color(0xFFC52434);
  static const Color SuccessColor = Color(0xFF4BB543);
  static Color WarningColor = Color(0xFFFFCC00);

  static Color iconColorDefault = Color(0xFF7C7C7C);
  static Color iconColorSelect = Color(0xFFFF2434);

  static Color priceColor = Color(0xFFFF2434);

  //Black
  static const Color black = Color(0xFF000000);
  static const Color blackShade1 = Color(0xFF3B3870);
  static const Color blackShade2 = Color(0xFF2D3041);
  static const Color blackShade3 = Color(0xFF797C82);
  static const Color blackShade4 = Color(0xFF626061);
  static const Color blackShade5 = Color(0xFF323345);
  static const Color blackShade6 = Color(0xFF51515E);
  static const Color blackShade7 = Color(0xFF2F2F2F);
  static const Color blackShade8 = Color(0xFF040404);
  static const Color blackShade9 = Color(0xFF767676);
  static const Color blackShade10 = Color(0xFF606060);

  static const Color darkModeColor = Color(0xFF323337);

  //White
  static const Color white = Color(0xFFFFFFFF);
  static const Color whiteShade1 = Color(0xFFF6F6F6);
  static const Color whiteShade2 = Color(0xFFF8F9FD);

  //deepBlue
  static const Color lightBlueShade1 = Color(0xFFCED5E0);
  static const Color lightBlueShade2 = Color(0xFFA7B4C5);
  static const Color lightBlueShade5 = Color(0xFF526479);
  static const Color deepBlue200 = Color(0xFF2B3F51);

  //Orange
  static const Color orange = Color(0xFFF9AC5F);
  static const Color deepOrange = Color(0xFFF86A5B);
  static const Color orangeShade1 = Color(0xFFF98A5D);
  static const Color orangeShade2 = Color(0xFFFDECE3);
  static const Color orangeShade3 = Color(0xFFFA947F);
  static const Color orangeShade4 = Color(0xFFFF9023);
  static const Color orangeShade5 = Color(0xFFF59312);
  static const Color orangeShade6 = Color(0xFFDE7E5D);

  //Grey
  static const Color grey = Color(0xFFC4C4C4);
  static const Color greyShade1 = Color(0xFFE7E7E7);
  static const Color greyShade2 = Color(0xFFDAD0D3);
  static const Color greyShade3 = Color(0xFFEDEEF2);
  static const Color greyShade6 = Color(0xFFADB1C0);
  static const Color greyShade7 = Color(0xFFB2B2B2);
  static const Color greyShade8 = Color(0xFFA3A3A3);

  //indigo
  static const Color indigo200 = Color(0xFF9FB5D1);

  //green
  static const Color green = Color(0xFF18D3BF);
  static const Color greenShade1 = Color(0xFF23E9A6);

  //lime green
  static const Color lightGreenShade1 = Color(0xFF69C7C6);
  static const Color deepLimeGreen = Color(0xFF2DA6AB);
  static const Color deepDarkGreen = Color(0xFF247EAA);

  //Red
  static const Color googleRed = Color(0xFFD42D21);
  static const Color red = Color(0xFFF1291A);
  static const Color redShade4 = Color(0xFFFF4758);
  static const Color redShade5 = Color(0xFFFB4656);

  static const Color pink = Color(0xFFC2366D);
  static const Color pinkShade1 = Color(0xFFDC669F);
  static const Color pinkShade2 = Color(0xFFFF9796);
  static const Color pinkShade3 = Color(0xFFFF6673);

  //Blue
  static const Color twitterBlue = Color(0xFF1867C7);
  static const Color facebookBlue = Color(0xFF44619D);
  static const Color linkedInBlue = Color(0xFF0467C2);
  static const Color lighterBlue = Color(0xFFD8F4FD);
  static const Color lighterBlue2 = Color(0xFFD0EBF7);
  static const Color lightBlue = Color(0xFF83C0CF);
  static const Color blue = Color(0xFF4045EE);
  static const Color blueShade1 = Color(0xFF70C4CD);
  static const Color blueShade2 = Color(0xFF47A9FF);
  static const Color seaBlue1 = Color(0xFF47B3FE);
  static const Color seaBlue2 = Color(0xFF2DCBFE);
  static const Color seaBlue3 = Color(0xFF0DE6FE);

  static const Color purple = Color(0xFF7B80FF);

  static const Color violet = Color(0xFF8764C3);
  static const Color violetShade1 = Color(0xFFB9A7D9);
  static const Color violetShade2 = Color(0xFF9121F9);
//  static const Color violetShade2 = Color(0xFF9121F9);
  static const Color violetShade200 = Color(0xFF655796);

  static const Color yellow = Color(0xFFFFC702);

  static const Color deepBrown = Color(0xFF666D73);
}
